<?php get_header();
	$settings = get_post_meta ( $post->ID, '_portfolio_settings', TRUE );
	$settings = is_array ( $settings ) ? $settings : array ();

    $global_breadcrumb = cs_get_option( 'show-breadcrumb' );

    $header_class = '';
    if( !$settings['enable-sub-title'] || !isset( $settings['enable-sub-title'] ) ) {
        if( isset( $settings['show_slider'] ) && $settings['show_slider'] ) {
            if( isset( $settings['slider_type'] ) ) {
                $header_class =  $settings['slider_position'];
            }
        }
    }
    
    if( !empty( $global_breadcrumb ) ) {
        if( isset( $settings['enable-sub-title'] ) && $settings['enable-sub-title'] ) {
            $header_class = $settings['breadcrumb_position'];
		}
	}?>

<!-- ** Header Wrapper ** -->
<div id="header-wrapper"  class="<?php echo esc_attr($header_class); ?>">
    <!-- **Header** -->
    <header id="header">

        <div class="container"><?php
            /**
             * kidszone_header hook.
             * 
             * @hooked kidszone_vc_header_template - 10
             *
             */
            do_action( 'kidszone_header' ); ?>
        </div>
    </header><!-- **Header - End ** -->

    <!-- ** Breadcrumb ** -->
    <?php
        # Global Breadcrumb
        if( !empty( $global_breadcrumb ) ) {
            if( isset( $settings['enable-sub-title'] ) && $settings['enable-sub-title'] ) {
                $breadcrumbs = array();
                $bstyle = kidszone_cs_get_option( 'breadcrumb-style', 'default' );

                $cat = get_the_term_list( $post->ID, 'portfolio_entries', '', '$$$', '');
                $cats = array_filter(explode('$$$', $cat));
                if (!empty($cats))
                	$breadcrumbs[] = $cats[0];

                $breadcrumbs[] = the_title( '<span class="current">', '</span>', false );
                $style = kidszone_breadcrumb_css( $settings['breadcrumb_background'] );

                kidszone_breadcrumb_output ( the_title( '<h1>', '</h1>',false ), $breadcrumbs, $bstyle, $style );
            }
        }
    ?><!-- ** Breadcrumb End ** -->                
</div><!-- ** Header Wrapper - End ** -->

<!-- **Main** -->
<div id="main">

    <!-- ** Container ** -->
    <div class="container"><?php
        $page_layout  = array_key_exists( "layout", $settings ) ? $settings['layout'] : "content-full-width";
        $layout = kidszone_page_layout( $page_layout );
        extract( $layout );

        if ( $show_sidebar ) {
            if ( $show_left_sidebar ) {
                $sticky_class = ( array_key_exists('enable-sticky-sidebar', $settings) && $settings['enable-sticky-sidebar'] == 'true' ) ? ' sidebar-as-sticky' : '';?>
                
                <!-- Secondary Left -->
                <section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class.$sticky_class );?>"><?php
                	 kidszone_show_sidebar( 'dt_portfolios', $post->ID, 'left' ); ?>
                </section><!-- Secondary Left End --><?php
            }
        }?>

        <!-- Primary -->
        <section id="primary" class="<?php echo esc_attr( $page_layout );?>"><?php
            if( have_posts() ) {
                while( have_posts() ) {
                    the_post();?>
                    <article id="post-<?php the_ID();?>" <?php post_class(array('dt-portfolio-single'));?>><?php
                    	$portfolio_layout = array_key_exists("portfolio-layout", $settings) ? $settings['portfolio-layout'] : "full-width-portfolio";
                    	$container_start =  $container_middle =  $container_end = "";

                    	switch ($portfolio_layout) {

                    		case 'full-width-portfolio':
                    			$container_start = $container_middle = $container_end = "";
                    		break;

                    		case 'with-left-portfolio':
                    			$container_start	 =	'<div class="column dt-sc-two-third first">';
                    			$container_middle	 =	'</div>';
                    			$container_middle  .=	'<div class="column dt-sc-one-third last">'; 
                    			$container_end	 =	'</div>';
                    		break;

                    		case 'with-right-portfolio':
								$container_start	 =	'<div class="column dt-sc-two-third right-gallery first">';
								$container_middle	 =	'</div>';
								$container_middle  .=	'<div class="column dt-sc-one-third last">'; 
								$container_end	 =	'</div>';
							break;
						}

						echo !empty( $container_start ) ? $container_start : '';?>

						<div class="dt-portfolio-single-slider-wrapper">
							<!-- Slider -->
                            <ul class="dt-portfolio-single-slider"><?php

							if( array_key_exists("portfolio-video",$settings) && $settings['portfolio-video']!='') {
																
								$portfolio_video_final = array();
								foreach($settings["portfolio-video"] as $portfolio_video_array)
								{
									foreach($portfolio_video_array as $portfolio_video_val)	
									{
										array_push($portfolio_video_final, $portfolio_video_val);
									}    
								}
								
								foreach ( $portfolio_video_final as $portfolio_video_url ) {
								echo '<li>';
									if (strpos($portfolio_video_url, "vimeo")) :
										$url = substr( strrchr($portfolio_video_url, "/"),1);
										echo "<iframe src='http".kidszone_ssl()."://player.vimeo.com/video/{$url}' width='1170' height='700' frameborder='0'></iframe>";
									elseif(strpos($portfolio_video_url, "?v=")):
										$url = substr( strrchr($portfolio_video_url, "="),1);
										echo "<iframe src='http".kidszone_ssl()."://www.youtube.com/embed/{$url}?wmode=opaque' width='1170' height='700' frameborder='0'></iframe>";
									endif;
								echo '</li>';
								}
								
							}

                            	if( has_post_thumbnail() ){ ?>
                            		<li><?php the_post_thumbnail("full");?></li><?php
                            	}

                            	if( array_key_exists("portfolio-gallery",$settings) ) {
                            		$items = explode(',', $settings["portfolio-gallery"]);
                            		foreach( $items as $item ){
                            			echo '<li>'.wp_get_attachment_image( $item, 'full' ).'</li>';
									}
								}?>
                            </ul><!-- Slider Ends -->
						</div>

						<?php echo !empty( $container_middle ) ? $container_middle : '';?>

                        <div class="dt-portfolio-single-details">
                        	<div class="column dt-sc-three-fourth first">
                        		<?php the_title('<h3>','</h3>'); ?>
								<?php echo get_the_term_list($post->ID, 'portfolio_entries', '<p class="portfolio-categories"> <i class="fa fa-folder-open"> </i> ', ', ', '</p> '); ?>
								<?php echo get_the_term_list($post->ID, 'portfolio_tags', '<p class="portfolio-tags"> <i class="fa fa-tags"> </i> ', ', ', '</p> '); ?>
								<?php the_content(); ?>
								</div>

                            <div class="column dt-sc-one-fourth">
							<h4><?php _e('Project Details','designthemes-core');?></h4>
								<ul class='project-details'>
								<?php if( isset( $settings["client-name"] ) && $settings["client-name"]!='' ): ?>
								<li><span class="fa fa-user"></span> <b><?php _e('Client Name','designthemes-core');?> </b> : 
								<?php echo esc_html($settings["client-name"]);?></li>
								<?php endif;?>
								<?php if( isset( $settings["location-info"] ) && $settings["location-info"]!='' ): ?>
								<li><span class="fa fa-map-marker"></span> <b><?php _e('Location','designthemes-core');?></b> : 
								<?php echo esc_html($settings["location-info"]);?></li>
								<?php endif;?>
								<?php if( isset( $settings["website-link"] ) && $settings["website-link"]!='' ): ?>
										<li><span class="fa fa-link"></span> <b><?php _e('Website','designthemes-core');?></b> : 
											<a target="_blank" href="<?php echo esc_url($settings["website-link"]); ?>"><?php echo esc_html($settings["website-link"]); ?></a>
										</li>
								<?php endif;?>
								<li><span class="fa fa-calendar"></span><b><?php _e(' Posted on','designthemes-core');?></b> : <?php the_date("d M Y");?></li>
								</ul>
								<?php $portfolio_social_share = cs_get_option('portfolio-show-social-share'); ?>
								<?php if( isset( $portfolio_social_share ) && $portfolio_social_share!='' ):
									
									//echo "===>".cs_get_option('portfolio-social-share');?>
								<div class="gallery-share"><?php echo do_shortcode(cs_get_option('portfolio-social-share')); ?></div>
								<?php endif;?>
                            </div>
							
                            <div class="column dt-sc-full-width"><?php
                            	if( array_key_exists('portfolio_opt_flds', $settings) ): ?>
                            		<h4><?php esc_html_e('Project Details','designthemes-core');?></h4>
                            		<ul class="project-details"><?php
                            			for( $i = 1; $i <= sizeof($settings['portfolio_opt_flds']) / 2; $i++ ):

                            				$label = $settings['portfolio_opt_flds']["portfolio_opt_flds_title_{$i}"];
                            				$value = $settings['portfolio_opt_flds']["portfolio_opt_flds_value_{$i}"];

                            				if( filter_var($value ,FILTER_VALIDATE_URL) ){
                            					$value = "<a href='".esc_url($value)."'>".esc_html($value)."</a>";
                                			} elseif( is_email($value) ){
                                				$email = sanitize_email($value);
                                				$value = "<a href='mailto:".antispambot($email,1)."'>".antispambot($value)."</a>";
                                			}?>
                                    		<li> <span><?php echo esc_html($label);?> : </span> <?php echo ($value);?> </li><?php
                                    	endfor;?>
                                    </ul><?php
                                endif;?>
                            </div>
                        </div>

						<?php echo !empty( $container_end ) ? $container_end : '';?>
                    </article><?php
                }
            }?>

            <!-- **Post Nav** -->
        	<div class="post-nav-container">
				<div class="post-prev-link"><?php previous_post_link('<i class="fa fa-arrow-circle-left"></i> %link', '%title <span>('.esc_html__('Prev Entry','designthemes-core').')</span>'); ?></div>
        		<div class="post-next-link"><?php next_post_link('%link <i class="fa fa-arrow-circle-right"></i>', '<span>('.esc_html__('Next Entry','designthemes-core').')</span> %title'); ?></div>   
        	</div><!-- **Post Nav - End** -->

        	<?php
        		# Related Portfolio
        		$related_post = cs_get_option('single-portfolio-related');
        		$terms = wp_get_object_terms( get_the_ID() ,'portfolio_entries' ,array('fields' => 'ids') );
        		if( $related_post && $terms ) :?>
        			<div class="dt-sc-hr-invisible"></div>
        			<div class="dt-sc-clear"></div>

        			<div class="related-portfolios">
        				<h4><span><?php esc_html_e('Recent Gallery','designthemes-core');?></span></h4><?php

        				$post_class = "portfolio column dt-sc-one-fourth";
        				$post_style = cs_get_option('single-portfolio-related-style');
        				if( $show_sidebar ) {
        					$post_class = "portfolio column dt-sc-one-fourth with-sidebar";
        				}
        				$sc = "[dt_sc_portfolio_related_post post_class='".$post_class."' post_style='".$post_style."' id='".get_the_ID()."'/]";
        				echo do_shortcode($sc);?>
        			</div><?php
        		endif;

        		#Portfolio Comments
	        	$post_comment = cs_get_option('single-portfolio-comments');
				if( $post_comment ):?>
    	            <div class="dt-sc-clear"></div>

        	        <!-- ** Comment Entries ** -->
            	    <section class="commententries">
                		<?php  comments_template('', true); ?>
                	</section><?php
                endif;
            ?>
        </section><!-- Primary End --><?php

        if ( $show_sidebar ) {
            if ( $show_right_sidebar ) {
                $sticky_class = ( array_key_exists('enable-sticky-sidebar', $settings) && $settings['enable-sticky-sidebar'] == 'true' ) ? ' sidebar-as-sticky' : '';?>

                <!-- Secondary Right -->
                <section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class.$sticky_class );?>"><?php
                	 kidszone_show_sidebar( 'dt_portfolios', $post->ID, 'right' ); ?>
                </section><!-- Secondary Right End --><?php
            }
        }?>
    </div>
    <!-- ** Container End ** -->
    
</div><!-- **Main - End ** -->
<?php get_footer(); ?>