<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK SETTINGS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$settings           = array(
  'menu_title'      => constant('KIDSZONE_THEME_NAME').' '.esc_html__('Options', 'kidszone'),
  'menu_type'       => 'theme', // menu, submenu, options, theme, etc.
  'menu_slug'       => 'cs-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false,
  'framework_title' => sprintf(esc_html__('Designthemes Framework %sby Designthemes%s', 'kidszone'),'<small>','</small>')
);

// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// FRAMEWORK OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options        = array();

$options[]      = array(
  'name'        => 'general',
  'title'       => esc_html__('General', 'kidszone'),
  'icon'        => 'fa fa-gears',

  'fields'      => array(

	array(
	  'type'    => 'subheading',
	  'content' => esc_html__( 'General Options', 'kidszone' ),
	),
	
	array(
		'id'	=> 'header',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Header', 'kidszone'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_headers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Header', 'kidszone'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select default header.','kidszone'),
	),
	
	array(
		'id'	=> 'footer',
		'type'	=> 'select',
		'title'	=> esc_html__('Site Footer', 'kidszone'),
		'class'	=> 'chosen',
		'options'	=> 'posts',
		'query_args'	=> array(
			'post_type'	=> 'dt_footers',
			'orderby'	=> 'title',
			'order'	=> 'ASC',
			'posts_per_page' => -1
		),
		'default_option'	=> esc_attr__('Select Footer', 'kidszone'),
		'attributes'	=> array ( 'style'	=> 'width:50%'),
		'info'	=> esc_html__('Select defaultfooter.','kidszone'),
	),

	array(
	  'id'  	 => 'use-site-loader',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Site Loader', 'kidszone'),
	  'info'	 => esc_html__('YES! to use site loader.', 'kidszone')
	),	

	array(
	  'id'  	 => 'enable-stylepicker',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Style Picker', 'kidszone'),
	  'info'	 => esc_html__('YES! to show the style picker.', 'kidszone')
	),		

	array(
	  'id'  	 => 'show-pagecomments',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Globally Show Page Comments', 'kidszone'),
	  'info'	 => esc_html__('YES! to show comments on all the pages. This will globally override your "Allow comments" option under your page "Discussion" settings.', 'kidszone'),
	  'default'  => true,
	),

	array(
	  'id'  	 => 'showall-pagination',
	  'type'  	 => 'switcher',
	  'title' 	 => esc_html__('Show all pages in Pagination', 'kidszone'),
	  'info'	 => esc_html__('YES! to show all the pages instead of dots near the current page.', 'kidszone')
	),



	array(
	  'id'      => 'google-map-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Google Map API Key', 'kidszone'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid google account api key here', 'kidszone').'</p>',
	),

	array(
	  'id'      => 'mailchimp-key',
	  'type'    => 'text',
	  'title'   => esc_html__('Mailchimp API Key', 'kidszone'),
	  'after' 	=> '<p class="cs-text-info">'.esc_html__('Put a valid mailchimp account api key here', 'kidszone').'</p>',
	),

  ),
);

$options[]      = array(
  'name'        => 'layout_options',
  'title'       => esc_html__('Layout Options', 'kidszone'),
  'icon'        => 'dashicons dashicons-exerpt-view',
  'sections' => array(

	// -----------------------------------------
	// Header Options
	// -----------------------------------------
	array(
	  'name'      => 'breadcrumb_options',
	  'title'     => esc_html__('Breadcrumb Options', 'kidszone'),
	  'icon'      => 'fa fa-sitemap',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Breadcrumb Options", 'kidszone' ),
		  ),

		  array(
			'id'  		 => 'show-breadcrumb',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Breadcrumb', 'kidszone'),
			'info'		 => esc_html__('YES! to display breadcrumb for all pages.', 'kidszone'),
			'default' 	 => true,
		  ),

		  array(
			'id'           => 'breadcrumb-delimiter',
			'type'         => 'icon',
			'title'        => esc_html__('Breadcrumb Delimiter', 'kidszone'),
			'info'         => esc_html__('Choose delimiter style to display on breadcrumb section.', 'kidszone'),
		  ),

		  array(
			'id'           => 'breadcrumb-style',
			'type'         => 'select',
			'title'        => esc_html__('Breadcrumb Style', 'kidszone'),
			'options'      => array(
			  'default' 							=> esc_html__('Default', 'kidszone'),
			  'aligncenter'    						=> esc_html__('Align Center', 'kidszone'),
			  'alignright'  						=> esc_html__('Align Right', 'kidszone'),
			  'breadcrumb-left'    					=> esc_html__('Left Side Breadcrumb', 'kidszone'),
			  'breadcrumb-right'     				=> esc_html__('Right Side Breadcrumb', 'kidszone'),
			  'breadcrumb-top-right-title-center'  	=> esc_html__('Top Right Title Center', 'kidszone'),
			  'breadcrumb-top-left-title-center'  	=> esc_html__('Top Left Title Center', 'kidszone'),
			),
			'class'        => 'chosen',
			'default'      => 'breadcrumb-right',
			'info'         => esc_html__('Choose alignment style to display on breadcrumb section.', 'kidszone'),
		  ),

		  array(
			  'id'                 => 'breadcrumb-position',
			  'type'               => 'select',
			  'title'              => esc_html__('Position', 'kidszone' ),
			  'options'            => array(
				  'header-top-absolute'    => esc_html__('Behind the Header','kidszone'),
				  'header-top-relative'    => esc_html__('Default','kidszone'),
			  ),
			  'class'        => 'chosen',
			  'default'      => 'header-top-relative',
			  'info'         => esc_html__('Choose position of breadcrumb section.', 'kidszone'),
		  ),

		  array(
			'id'    => 'breadcrumb_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'kidszone'),
			'desc'  => esc_html__('Choose background options for breadcrumb title section.', 'kidszone')
		  ),

		),
	),

  ),
);

$options[]      = array(
  'name'        => 'allpage_options',
  'title'       => esc_html__('All Page Options', 'kidszone'),
  'icon'        => 'fa fa-files-o',
  'sections' => array(

	// -----------------------------------------
	// Post Options
	// -----------------------------------------
	array(
	  'name'      => 'post_options',
	  'title'     => esc_html__('Post Options', 'kidszone'),
	  'icon'      => 'fa fa-file',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post Options", 'kidszone' ),
		  ),
		
		  array(
			'id'  		 => 'single-post-authorbox',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Author Box', 'kidszone'),
			'info'		 => esc_html__('YES! to display author box in single blog posts.', 'kidszone')
		  ),

		  array(
			'id'  		 => 'single-post-related',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Related Posts', 'kidszone'),
			'info'		 => esc_html__('YES! to display related blog posts in single posts.', 'kidszone')
		  ),

		  array(
			'id'  		 => 'single-post-navigation',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Single Post Navigation', 'kidszone'),
			'info'		 => esc_html__('YES! to display post navigation in single posts.', 'kidszone')
		  ),

		  array(
			'id'  		 => 'single-post-comments',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Posts Comments', 'kidszone'),
			'info'		 => esc_html__('YES! to display single blog post comments.', 'kidszone'),
			'default' 	 => true,
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Page Layout", 'kidszone' ),
		  ),

		  array(
			'id'      	 => 'post-archives-page-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Page Layout', 'kidszone'),
			'options'    => array(
			  'content-full-width'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'post-archives-page-layout',
			),
		  ),

		  array(
			'id'  		 => 'show-standard-left-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Left Sidebar', 'kidszone'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 => 'show-standard-right-sidebar-for-post-archives',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Show Standard Right Sidebar', 'kidszone'),
			'dependency' => array( 'post-archives-page-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Post Archives Post Layout", 'kidszone' ),
		  ),

		  array(
			'id'      	   => 'post-archives-post-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Post Layout', 'kidszone'),
			'options'      => array(
			  'one-column' 		  => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-column.png',
			  'one-half-column'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-half-column.png',
			  'one-third-column'  => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-third-column.png',
			  '1-2-2'			  => KIDSZONE_THEME_URI . '/cs-framework-override/images/1-2-2.png',
			  '1-2-2-1-2-2' 	  => KIDSZONE_THEME_URI . '/cs-framework-override/images/1-2-2-1-2-2.png',
			  '1-3-3-3'			  => KIDSZONE_THEME_URI . '/cs-framework-override/images/1-3-3-3.png',
			  '1-3-3-3-1' 		  => KIDSZONE_THEME_URI . '/cs-framework-override/images/1-3-3-3-1.png',
			),
			'default'      => 'one-half-column',
		  ),

		  array(
			'id'           => 'post-style',
			'type'         => 'select',
			'title'        => esc_html__('Post Style', 'kidszone'),
			'options'      => array(
			  'blog-default-style' 		=> esc_html__('Default', 'kidszone'),
			  'entry-date-left'      	=> esc_html__('Date Left', 'kidszone'),
			  'entry-date-left outer-frame-border'      	=> esc_html__('Date Left Modern', 'kidszone'),
			  'entry-date-author-left'  => esc_html__('Date and Author Left', 'kidszone'),
			  'blog-modern-style'       => esc_html__('Modern', 'kidszone'),
			  'bordered'      			=> esc_html__('Bordered', 'kidszone'),
			  'classic'      			=> esc_html__('Classic', 'kidszone'),
			  'entry-overlay-style' 	=> esc_html__('Trendy', 'kidszone'),
			  'overlap' 				=> esc_html__('Overlap', 'kidszone'),
			  'entry-center-align'		=> esc_html__('Stripe', 'kidszone'),
			  'entry-fashion-style'	 	=> esc_html__('Fashion', 'kidszone'),
			  'entry-minimal-bordered' 	=> esc_html__('Minimal Bordered', 'kidszone'),
			  'blog-medium-style'       => esc_html__('Medium', 'kidszone'),
			  'blog-medium-style dt-blog-medium-highlight'     					 => esc_html__('Medium Hightlight', 'kidszone'),
			  'blog-medium-style dt-blog-medium-highlight dt-sc-skin-highlight'  => esc_html__('Medium Skin Highlight', 'kidszone'),
			),
			'class'        => 'chosen',
			'default'      => 'entry-date-author-left',
			'info'         => esc_html__('Choose post style to display post archives pages.', 'kidszone'),
		  ),

		  array(	
			'id'  		 => 'post-archives-enable-excerpt',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Allow Excerpt', 'kidszone'),
			'info'		 => esc_html__('YES! to allow excerpt', 'kidszone'),
			'default'    => true,
		  ),

		  array(
			'id'  		 => 'post-archives-excerpt',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Excerpt Length', 'kidszone'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Put Excerpt Length', 'kidszone').'</span>',
			'default' 	 => 40,
		  ),

		  array(
			'id'  		 => 'post-archives-enable-readmore',
			'type'  	 => 'switcher',
			'title' 	 => esc_html__('Read More', 'kidszone'),
			'info'		 => esc_html__('YES! to enable read more button', 'kidszone'),
			'default'	 => false,
		  ),

		  array(
			'id'  		 => 'post-archives-readmore',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Read More Shortcode', 'kidszone'),
			'info'		 => esc_html__('Paste any button shortcode here', 'kidszone'),
			'default'	 => '[dt_sc_button title="Read More" size="small" style="filled rounded-corner dt-sc-button"]',
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Single Post & Post Archive options", 'kidszone' ),
		  ),

		  array(
			'id'      => 'post-format-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Post Format Meta', 'kidszone' ),
			'info'	  => esc_html__('YES! to show post format meta information', 'kidszone'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-author-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Author Meta', 'kidszone' ),
			'info'	  => esc_html__('YES! to show post author meta information', 'kidszone'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-date-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Date Meta', 'kidszone' ),
			'info'	  => esc_html__('YES! to show post date meta information', 'kidszone'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-comment-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Comment Meta', 'kidszone' ),
			'info'	  => esc_html__('YES! to show post comment meta information', 'kidszone'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-category-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Category Meta', 'kidszone' ),
			'info'	  => esc_html__('YES! to show post category information', 'kidszone'),
			'default' => true
		  ),

		  array(
			'id'      => 'post-tag-meta',
			'type'    => 'switcher',
			'title'   => esc_html__('Tag Meta', 'kidszone' ),
			'info'	  => esc_html__('YES! to show post tag information', 'kidszone'),
			'default' => true
		  ),

		),
	),

	// -----------------------------------------
	// 404 Options
	// -----------------------------------------
	array(
	  'name'      => '404_options',
	  'title'     => esc_html__('404 Options', 'kidszone'),
	  'icon'      => 'fa fa-warning',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "404 Message", 'kidszone' ),
		  ),
		  
		  array(
			'id'      => 'enable-404message',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Message', 'kidszone' ),
			'info'	  => esc_html__('YES! to enable not-found page message.', 'kidszone'),
			'default' => true
		  ),

		  array(
			'id'           => 'notfound-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'kidszone'),
			'options'      => array(
			  'type3'      => esc_html__('Default', 'kidszone'),
			  'type1' 	   => esc_html__('Modern', 'kidszone'),
			  'type2'      => esc_html__('Classic', 'kidszone'),
			  'type4'  	   => esc_html__('Diamond', 'kidszone'),
			  'type5'      => esc_html__('Shadow', 'kidszone'),
			  'type6'      => esc_html__('Diamond Alt', 'kidszone'),
			  'type7'  	   => esc_html__('Stack', 'kidszone'),
			  'type8'  	   => esc_html__('Minimal', 'kidszone'),
			),
			'class'        => 'chosen',
			'default'      => 'type3',
			'info'         => esc_html__('Choose the style of not-found template page.', 'kidszone')
		  ),

		  array(
			'id'      => 'notfound-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('404 Dark BG', 'kidszone' ),
			'info'	  => esc_html__('YES! to use dark bg notfound page for this site.', 'kidszone')
		  ),

		  array(
			'id'           => 'notfound-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'kidszone'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'kidszone'),
			'info'       	 => esc_html__('Choose the page for not-found content.', 'kidszone')
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Background Options", 'kidszone' ),
		  ),

		  array(
			'id'    => 'notfound_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'kidszone')
		  ),

		  array(
			'id'  		 => 'notfound-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'kidszone'),
			'info'		 => esc_html__('Paste custom CSS styles for not found page.', 'kidszone')
		  ),

		),
	),

	// -----------------------------------------
	// Underconstruction Options
	// -----------------------------------------
	array(
	  'name'      => 'comingsoon_options',
	  'title'     => esc_html__('Under Construction Options', 'kidszone'),
	  'icon'      => 'fa fa-thumbs-down',

		'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Under Construction", 'kidszone' ),
		  ),
	
		  array(
			'id'      => 'enable-comingsoon',
			'type'    => 'switcher',
			'title'   => esc_html__('Enable Coming Soon', 'kidszone' ),
			'info'	  => esc_html__('YES! to check under construction page of your website.', 'kidszone')
		  ),
	
		  array(
			'id'           => 'comingsoon-style',
			'type'         => 'select',
			'title'        => esc_html__('Template Style', 'kidszone'),
			'options'      => array(
			  'type1' 	   => esc_html__('Diamond', 'kidszone'),
			  'type2'      => esc_html__('Teaser', 'kidszone'),
			  'type3'  	   => esc_html__('Minimal', 'kidszone'),
			  'type4'      => esc_html__('Counter Only', 'kidszone'),
			  'type5'      => esc_html__('Belt', 'kidszone'),
			  'type6'  	   => esc_html__('Classic', 'kidszone'),
			  'type7'  	   => esc_html__('Boxed', 'kidszone')
			),
			'class'        => 'chosen',
			'default'      => 'type1',
			'info'         => esc_html__('Choose the style of coming soon template.', 'kidszone'),
		  ),

		  array(
			'id'      => 'uc-darkbg',
			'type'    => 'switcher',
			'title'   => esc_html__('Coming Soon Dark BG', 'kidszone' ),
			'info'	  => esc_html__('YES! to use dark bg coming soon page for this site.', 'kidszone')
		  ),

		  array(
			'id'           => 'comingsoon-pageid',
			'type'         => 'select',
			'title'        => esc_html__('Custom Page', 'kidszone'),
			'options'      => 'pages',
			'class'        => 'chosen',
			'default_option' => esc_html__('Choose the page', 'kidszone'),
			'info'       	 => esc_html__('Choose the page for comingsoon content.', 'kidszone')
		  ),

		  array(
			'id'      => 'show-launchdate',
			'type'    => 'switcher',
			'title'   => esc_html__('Show Launch Date', 'kidszone' ),
			'info'	  => esc_html__('YES! to show launch date text.', 'kidszone'),
		  ),

		  array(
			'id'      => 'comingsoon-launchdate',
			'type'    => 'text',
			'title'   => esc_html__('Launch Date', 'kidszone'),
			'attributes' => array( 
			  'placeholder' => '10/30/2016 12:00:00'
			),
			'after' 	=> '<p class="cs-text-info">'.esc_html__('Put Format: 12/30/2016 12:00:00 month/day/year hour:minute:second', 'kidszone').'</p>',
		  ),

		  array(
			'id'           => 'comingsoon-timezone',
			'type'         => 'select',
			'title'        => esc_html__('UTC Timezone', 'kidszone'),
			'options'      => array(
			  '-12' => '-12', '-11' => '-11', '-10' => '-10', '-9' => '-9', '-8' => '-8', '-7' => '-7', '-6' => '-6', '-5' => '-5', 
			  '-4' => '-4', '-3' => '-3', '-2' => '-2', '-1' => '-1', '0' => '0', '+1' => '+1', '+2' => '+2', '+3' => '+3', '+4' => '+4',
			  '+5' => '+5', '+6' => '+6', '+7' => '+7', '+8' => '+8', '+9' => '+9', '+10' => '+10', '+11' => '+11', '+12' => '+12'
			),
			'class'        => 'chosen',
			'default'      => '0',
			'info'         => esc_html__('Choose utc timezone, by default UTC:00:00', 'kidszone'),
		  ),

		  array(
			'id'    => 'comingsoon_background',
			'type'  => 'background',
			'title' => esc_html__('Background', 'kidszone')
		  ),

		  array(
			'id'  		 => 'comingsoon-bg-style',
			'type'  	 => 'textarea',
			'title' 	 => esc_html__('Custom Styles', 'kidszone'),
			'info'		 => esc_html__('Paste custom CSS styles for under construction page.', 'kidszone'),
		  ),

		),
	),

  ),
);

// -----------------------------------------
// Widget area Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'widgetarea_options',
  'title'       => esc_html__('Widget Area', 'kidszone'),
  'icon'        => 'fa fa-trello',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Widget Area for Sidebar", 'kidszone' ),
	  ),

	  array(
		'id'           => 'wtitle-style',
		'type'         => 'select',
		'title'        => esc_html__('Sidebar widget Title Style', 'kidszone'),
		'options'      => array(
		  'default'    => esc_html__('Choose any type', 'kidszone'),
		  'type1' 	   => esc_html__('Double Border', 'kidszone'),
		  'type2'      => esc_html__('Tooltip', 'kidszone'),
		  'type3'  	   => esc_html__('Title Top Border', 'kidszone'),
		  'type4'      => esc_html__('Left Border & Pattren', 'kidszone'),
		  'type5'      => esc_html__('Bottom Border', 'kidszone'),
		  'type6'  	   => esc_html__('Tooltip Border', 'kidszone'),
		  'type7'  	   => esc_html__('Boxed Modern', 'kidszone'),
		  'type8'  	   => esc_html__('Elegant Border', 'kidszone'),
		  'type9' 	   => esc_html__('Needle', 'kidszone'),
		  'type10' 	   => esc_html__('Ribbon', 'kidszone'),
		  'type11' 	   => esc_html__('Content Background', 'kidszone'),
		  'type12' 	   => esc_html__('Classic BG', 'kidszone'),
		  'type13' 	   => esc_html__('Tiny Boders', 'kidszone'),
		  'type14' 	   => esc_html__('BG & Border', 'kidszone'),
		  'type15' 	   => esc_html__('Classic BG Alt', 'kidszone'),
		  'type16' 	   => esc_html__('Left Border & BG', 'kidszone'),
		  'type17' 	   => esc_html__('Basic', 'kidszone'),
		  'type18' 	   => esc_html__('BG & Pattern', 'kidszone'),
		),
		'class'          => 'chosen',
		'default'        => 'type5',
		'info'           => esc_html__('Choose the style of sidebar widget title.', 'kidszone')
	  ),

	  array(
		'id'              => 'widgetarea-custom',
		'type'            => 'group',
		'title'           => esc_html__('Custom Widget Area', 'kidszone'),
		'button_title'    => esc_html__('Add New', 'kidszone'),
		'accordion_title' => esc_html__('Add New Widget Area', 'kidszone'),
		'fields'          => array(

		  array(
			'id'          => 'widgetarea-custom-name',
			'type'        => 'text',
			'title'       => esc_html__('Name', 'kidszone'),
		  ),

		)
	  ),

	),
);

// -----------------------------------------
// Woocommerce Options
// -----------------------------------------
if( function_exists( 'is_woocommerce' ) && ! class_exists ( 'DTWooPlugin' ) ){

	$options[]      = array(
	  'name'        => 'woocommerce_options',
	  'title'       => esc_html__('Woocommerce', 'kidszone'),
	  'icon'        => 'fa fa-shopping-cart',

	  'fields'      => array(

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Woocommerce Shop Page Options", 'kidszone' ),
		  ),

		  array(
			'id'  		 => 'shop-product-per-page',
			'type'  	 => 'number',
			'title' 	 => esc_html__('Products Per Page', 'kidszone'),
			'after'		 => '<span class="cs-text-desc">&nbsp;'.esc_html__('Number of products to show in catalog / shop page', 'kidszone').'</span>',
			'default' 	 => 12,
		  ),

		  array(
			'id'           => 'product-style',
			'type'         => 'select',
			'title'        => esc_html__('Product Style', 'kidszone'),
			'options'      => array(
			  'woo-type1' 	   => esc_html__('Thick Border', 'kidszone'),
			  'woo-type4'      => esc_html__('Diamond Icons', 'kidszone'),
			  'woo-type8' 	   => esc_html__('Modern', 'kidszone'),
			  'woo-type10' 	   => esc_html__('Easing', 'kidszone'),
			  'woo-type11' 	   => esc_html__('Boxed', 'kidszone'),
			  'woo-type12' 	   => esc_html__('Easing Alt', 'kidszone'),
			  'woo-type13' 	   => esc_html__('Parallel', 'kidszone'),
			  'woo-type14' 	   => esc_html__('Pointer', 'kidszone'),
			  'woo-type16' 	   => esc_html__('Stack', 'kidszone'),
			  'woo-type17' 	   => esc_html__('Bouncy', 'kidszone'),
			  'woo-type20' 	   => esc_html__('Masked Circle', 'kidszone'),
			  'woo-type21' 	   => esc_html__('Classic', 'kidszone')
			),
			'class'        => 'chosen',
			'default' 	   => 'woo-type8',
			'info'         => esc_html__('Choose products style to display shop & archive pages.', 'kidszone')
		  ),

		  array(
			'id'      	 => 'shop-page-product-layout',
			'type'       => 'image_select',
			'title'      => esc_html__('Product Layout', 'kidszone'),
			'options'    => array(
				  1   => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-column.png',
				  2   => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-half-column.png',
				  3   => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-third-column.png',
				  4   => KIDSZONE_THEME_URI . '/cs-framework-override/images/one-fourth-column.png',
			),
			'default'      => 3,
			'attributes'   => array(
			  'data-depend-id' => 'shop-page-product-layout',
			),
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Detail Page Options", 'kidszone' ),
		  ),

		  array(
			'id'      	   => 'product-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'kidszone'),
			'options'      => array(
			  'content-full-width'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'kidszone'),
			'dependency'   	 => array( 'product-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'kidszone'),
			'dependency' 	 => array( 'product-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  		 	 => 'enable-related',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Related Products', 'kidszone'),
			'info'	  		 => esc_html__("YES! to display related products on single product's page.", 'kidszone'),
			'default' 		 => true
		  ),

		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Category Page Options", 'kidszone' ),
		  ),

		  array(
			'id'      	   => 'product-category-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'kidszone'),
			'options'      => array(
			  'content-full-width'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-category-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'kidszone'),
			'dependency'   	 => array( 'product-category-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-category-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'kidszone'),
			'dependency' 	 => array( 'product-category-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),
		  
		  array(
			'type'    => 'subheading',
			'content' => esc_html__( "Product Tag Page Options", 'kidszone' ),
		  ),

		  array(
			'id'      	   => 'product-tag-layout',
			'type'         => 'image_select',
			'title'        => esc_html__('Layout', 'kidszone'),
			'options'      => array(
			  'content-full-width'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/without-sidebar.png',
			  'with-left-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/left-sidebar.png',
			  'with-right-sidebar'   => KIDSZONE_THEME_URI . '/cs-framework-override/images/right-sidebar.png',
			  'with-both-sidebar'    => KIDSZONE_THEME_URI . '/cs-framework-override/images/both-sidebar.png',
			),
			'default'      => 'content-full-width',
			'attributes'   => array(
			  'data-depend-id' => 'product-tag-layout',
			),
		  ),

		  array(
			'id'  		 	 => 'show-shop-standard-left-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Left Sidebar', 'kidszone'),
			'dependency'   	 => array( 'product-tag-layout', 'any', 'with-left-sidebar,with-both-sidebar' ),
		  ),

		  array(
			'id'  			 => 'show-shop-standard-right-sidebar-for-product-tag-layout',
			'type'  		 => 'switcher',
			'title' 		 => esc_html__('Show Shop Standard Right Sidebar', 'kidszone'),
			'dependency' 	 => array( 'product-tag-layout', 'any', 'with-right-sidebar,with-both-sidebar' ),
		  ),

	  ),
	);
}

// -----------------------------------------
// Sociable Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'sociable_options',
  'title'       => esc_html__('Sociable', 'kidszone'),
  'icon'        => 'fa fa-share-alt-square',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Sociable", 'kidszone' ),
	  ),

	  array(
		'id'              => 'sociable_fields',
		'type'            => 'group',
		'title'           => esc_html__('Sociable', 'kidszone'),
		'info'            => esc_html__('Click button to add type of social & url.', 'kidszone'),
		'button_title'    => esc_html__('Add New Social', 'kidszone'),
		'accordion_title' => esc_html__('Adding New Social Field', 'kidszone'),
		'fields'          => array(
		  array(
			'id'          => 'sociable_fields_type',
			'type'        => 'select',
			'title'       => esc_html__('Select Social', 'kidszone'),
			'options'      => array(
			  'delicious' 	 => esc_html__('Delicious', 'kidszone'),
			  'deviantart' 	 => esc_html__('Deviantart', 'kidszone'),
			  'digg' 	  	 => esc_html__('Digg', 'kidszone'),
			  'dribbble' 	 => esc_html__('Dribbble', 'kidszone'),
			  'envelope' 	 => esc_html__('Envelope', 'kidszone'),
			  'facebook' 	 => esc_html__('Facebook', 'kidszone'),
			  'flickr' 		 => esc_html__('Flickr', 'kidszone'),
			  'google-plus'  => esc_html__('Google Plus', 'kidszone'),
			  'gtalk'  		 => esc_html__('GTalk', 'kidszone'),
			  'instagram'	 => esc_html__('Instagram', 'kidszone'),
			  'lastfm'	 	 => esc_html__('Lastfm', 'kidszone'),
			  'linkedin'	 => esc_html__('Linkedin', 'kidszone'),
			  'pinterest'	 => esc_html__('Pinterest', 'kidszone'),
			  'reddit'		 => esc_html__('Reddit', 'kidszone'),
			  'rss'		 	 => esc_html__('RSS', 'kidszone'),
			  'skype'		 => esc_html__('Skype', 'kidszone'),
			  'stumbleupon'	 => esc_html__('Stumbleupon', 'kidszone'),
			  'tumblr'		 => esc_html__('Tumblr', 'kidszone'),
			  'twitter'		 => esc_html__('Twitter', 'kidszone'),
			  'viadeo'		 => esc_html__('Viadeo', 'kidszone'),
			  'vimeo'		 => esc_html__('Vimeo', 'kidszone'),
			  'yahoo'		 => esc_html__('Yahoo', 'kidszone'),
			  'youtube'		 => esc_html__('Youtube', 'kidszone'),
			),
			'class'        => 'chosen',
			'default'      => 'delicious',
		  ),

		  array(
			'id'          => 'sociable_fields_url',
			'type'        => 'text',
			'title'       => esc_html__('Enter URL', 'kidszone')
		  ),
		)
	  ),

   ),
);

// -----------------------------------------
// Hook Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'hook_options',
  'title'       => esc_html__('Hooks', 'kidszone'),
  'icon'        => 'fa fa-paperclip',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Top Hook", 'kidszone' ),
	  ),

	  array(
		'id'  	=> 'enable-top-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Top Hook', 'kidszone'),
		'info'	=> esc_html__("YES! to enable top hook.", 'kidszone')
	  ),

	  array(
		'id'  		 => 'top-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Top Hook', 'kidszone'),
		'info'		 => esc_html__('Paste your top hook, Executes after the opening &lt;body&gt; tag.', 'kidszone')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content Before Hook", 'kidszone' ),
	  ),

	  array(
		'id'  	=> 'enable-content-before-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content Before Hook', 'kidszone'),
		'info'	=> esc_html__("YES! to enable content before hook.", 'kidszone')
	  ),

	  array(
		'id'  		 => 'content-before-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content Before Hook', 'kidszone'),
		'info'		 => esc_html__('Paste your content before hook, Executes before the opening &lt;#primary&gt; tag.', 'kidszone')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Content After Hook", 'kidszone' ),
	  ),

	  array(
		'id'  	=> 'enable-content-after-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Content After Hook', 'kidszone'),
		'info'	=> esc_html__("YES! to enable content after hook.", 'kidszone')
	  ),

	  array(
		'id'  		 => 'content-after-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Content After Hook', 'kidszone'),
		'info'		 => esc_html__('Paste your content after hook, Executes after the closing &lt;/#main&gt; tag.', 'kidszone')
	  ),

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Bottom Hook", 'kidszone' ),
	  ),

	  array(
		'id'  	=> 'enable-bottom-hook',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Bottom Hook', 'kidszone'),
		'info'	=> esc_html__("YES! to enable bottom hook.", 'kidszone')
	  ),

	  array(
		'id'  		 => 'bottom-hook',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Bottom Hook', 'kidszone'),
		'info'		 => esc_html__('Paste your bottom hook, Executes after the closing &lt;/body&gt; tag.', 'kidszone')
	  ),

  array(
		'id'  	=> 'enable-analytics-code',
		'type'  => 'switcher',
		'title' => esc_html__('Enable Tracking Code', 'kidszone'),
		'info'	=> esc_html__("YES! to enable site tracking code.", 'kidszone')
	  ),

	  array(
		'id'  		 => 'analytics-code',
		'type'  	 => 'textarea',
		'title' 	 => esc_html__('Google Analytics Tracking Code', 'kidszone'),
		'info'		 => esc_html__('Enter your Google tracking id (UA-XXXXX-X) here. If you want to offer your visitors the option to stop being tracked you can place the shortcode [dt_sc_privacy_google_tracking] somewhere on your site', 'kidszone')
	  ),

   ),
);

// -----------------------------------------
// Custom Font Options
// -----------------------------------------
$options[]      = array(
  'name'        => 'font_options',
  'title'       => esc_html__('Custom Fonts', 'kidszone'),
  'icon'        => 'fa fa-font',

  'fields'      => array(

	  array(
		'type'    => 'subheading',
		'content' => esc_html__( "Custom Fonts", 'kidszone' ),
	  ),

	  array(
		'id'              => 'custom_font_fields',
		'type'            => 'group',
		'title'           => esc_html__('Custom Font', 'kidszone'),
		'info'            => esc_html__('Click button to add font name & urls.', 'kidszone'),
		'button_title'    => esc_html__('Add New Font', 'kidszone'),
		'accordion_title' => esc_html__('Adding New Font Field', 'kidszone'),
		'fields'          => array(
		  array(
			'id'          => 'custom_font_name',
			'type'        => 'text',
			'title'       => esc_html__('Font Name', 'kidszone')
		  ),

		  array(
			'id'      => 'custom_font_woof',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff)', 'kidszone'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff) file here.', 'kidszone').'</p>',
		  ),

		  array(
			'id'      => 'custom_font_woof2',
			'type'    => 'upload',
			'title'   => esc_html__('Upload File (*.woff2)', 'kidszone'),
			'after'   => '<p class="cs-text-muted">'.esc_html__('You can upload custom font family (*.woff2) file here.', 'kidszone').'</p>',
		  )
		)
	  ),

   ),
);

// ------------------------------
// backup                       
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'    => esc_html__('Backup', 'kidszone'),
  'icon'     => 'fa fa-shield',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => esc_html__('You can save your current options. Download a Backup and Import.', 'kidszone')
    ),

    array(
      'type'    => 'backup',
    ),

  )
);

// ------------------------------
// license
// ------------------------------
$options[]   = array(
  'name'     => 'theme_version',
  'title'    => constant('KIDSZONE_THEME_NAME').esc_html__(' Log', 'kidszone'),
  'icon'     => 'fa fa-info-circle',
  'fields'   => array(

    array(
      'type'    => 'heading',
      'content' => constant('KIDSZONE_THEME_NAME').esc_html__(' Theme Change Log', 'kidszone')
    ),
    array(
      'type'    => 'content',
	  'content' => '<pre>
	  		2019.11.20 - version 5.2

			* Updated all wordpress theme standards
			* Compatible with latest Gutenberg editor
			* Updated: All premium plugins
			* Compatible with wordpress 5.3
	  
			2019.07.22 - version 5.1

			* Compatible with wordpress 5.2.2
			* Updated: All premium plugins
			* Updated: Revisions added to all custom post types
			* Updated: Gutenberg editor support for custom post types
			* Updated: Link for phone number module
			* Updated: Online documentation link, check readme file

			* Fixed: Customizer logo option
			* Fixed: Google Analytics issue
			* Fixed: Mailchimp email client issue
			* Fixed: Gutenberg check for old wordpress version
			* Fixed: Edit with Visual Composer for portfolio
			* Fixed: Header & Footer wpml option
			* Fixed: Smooth scrolling in ie 11
			* Fixed: Site title color
			* Fixed: Privacy popup bg color
			* Fixed: 404 page scrolling issue

			* Improved: Single product breadcrumb section
			* Improved: Tags taxonomy added for portfolio
			* Improved: Woocommerce cart module added with custom class option

			* New: Whatsapp Shortcode

			2019.02.20 – version 5.0

			* Major update of Kidszone theme.
			* All the demo contents updated to Visual Composer modules
			* Compatible with wordpress 5.0.3
			* Themes options with codestar framework.
			* Customizer options with Kirki plugin.
			* Gutenberg compatible.
			* Updated documentation.
			* Clients please do not upload the new version Kidszone theme or plugin files to your existing Kidszone old version, since the site will crash. If you need to continue with your old version, we have provided the old version kidszone-old.zip(4.1) separately please use those files. If you need to go with the new visual composer version, you need to install it in a fresh site.
			* Please follow this KB steps for installing the new 5.0 version http://support.wedesignthemes.com/knowledge-base/steps-to-install-new-themes-version/
			
			2018.12.25 – version 4.0
			 
			 * Latest wordpress version 5.0.2 compatible
			 * Updated latest version of all third party plugins
			 * Updated documentation
			
			2018.10.05 - version 3.9
			
			* Fix - Tracking Code Option
			* Fix - Archive Page issue
			* Fix - Updated Plugin files included 
			
			2018.08.28 - version 3.8
			
			* WordPress 4.9.8 compatible
			* Updated latest version of all third party plugins
			* GDPR update
			* Some desing tweaks
			
			2018.03.03 - version 3.7
			 * New Widget Modules in Page Builder issues fixed
			 * New Documentation Updated
			 * Check plugin active multi-site issue fixed
			 * Color piker issue inside page builder module issue fixed
			 * Add links to twitter widget issue fixed
			 * Social media shortcode target attribute included
			 * Visual Editor option with page builder issue fixed
			 * In Bpanel # comment removed
			 * Mail issue fixed with wp core function
			 * TGM plugin bulk install issue fixed
			 * Unyson page builder conflict issue fixed
			 * BuddyPress pages sidebar option issue fixed
			 * Menu with disable link option issue fixed
			 * Option to change site color & typography
			 * Pricing table shortcode heading text issue fixed
			 * Two many Gallery carousel in one page issue fixed
			 * Some design tweaks updated
			 * Service shortcode custom icon issue fixed
			 * All theme functions updated for child theme support
			 * WordPress 4.9.4 compatible
			 * Updated latest version of all third party plugins
			
			2017.08.31 - version 3.6
			 * Service box shortcode link option added
			 * Pricing table item currency symbol option added
			 * Youku video support in blog posts
			 * WordPress 4.8.1 compatible
			 * Prettyphoto video gallery https issue fixed
			 * Updated latest version of all third party plugins
			 * Color picker conflict issue fixed
			 * Widget & Translation fixes in page builder fixed
			 * Page for posts meta box displaying issue fixed
			 * Nav Menu Roles plugin conflict issue fixed
			 * Unyson importer content updated
			
			2017.04.27 - version 3.5
			 * Some missing texts updated for translation
			 * Updated latest version of all third party plugins
			 * Unyson importer content updated
			 * Woocommerce 3.0 compatible
			 * Some design tweaks updated
			 * Few php warnings fixed
			 * Twitter widget link text issue fixed
			 * Few latest scripts updated
			
			2016.11.09 - version 3.4
			 * Page builder fix
			
			2016.10.15 - version 3.3
			 * BPanel UI design fixes for Events Calendar update
			
			2016.10.04 - version 3.2
			 * Woocommerce coupon code update css issue fixed
			 * WPML page builder issue fixed
			 * Dummy data content optimized
			 * Global page layout option updated
			 * Mailchimp updated to latest api 3.0
			 * Updated latest version of all third party plugins
			 * Social share links alignment issue fixed
			 * Font awesome css updated
			 * SSL compatible updated
			 * Page Builder UI enhancements
			 * Unyson importer plugin included
			 * Dummy content importer updated
			
			2016.08.18 - version 3.1
			 * WordPress 4.6 Compatible
			 * Visual Composer 4.12 Compatible
			 * Tribe events widget area class updated
			 * Some translation text missing updated
			 * BuddyPress cover image issue fixed
			 * BPanel typography settings issue fixed
			 * Some design issues updated
			
			2016.07.02 - version 3.0
			 * Latest TGM plugin updated
			 * Latest Responsive Styled Google Maps plugin updated for Google Maps API key request.
			 * Updated latest version of all third party plugins
			 * Little design tweaks fixed
			
			2016.05.27 - version 2.9
			 * BPanel media upload issue fixed
			 * BPanel small issue fixed
			
			2016.04.28 - version 2.8
			 * WordPress 4.5 Compatible
			 * Updated latest version of all third party plugins
			 * Pagebuilder small issue fixed
			 * Site width extented
			 * 7 new skins added
			 * Some design issues fixed
			
			2016.03.29 - version 2.7
			 * Updated latest version of all third party plugins
			 * WordPress 4.4.2 Compatible
			 * WPML compatible issue updated
			 * Pagebuilder small issues fixed
			 * Font awesome stylesheet updated
			 * Some translation texts updated
			 * Some design issues fixed
			
			2015.09.11 - version 2.6
			 * WordPress 4.3 Compatible
			 * Language files updated
			 * Font Awesome Icons 4.4.0 updated
			 * Updated latest version of all third party plugins
			
			2015.07.17 - version 2.5
			 * One column shortcode issue fixed
			 * Captcha for contact form added
			 * Link added for woocommerce product title
			 * Recent Posts shortcode updated
			 * WPML support BPanel widgetarea options updated
			 * Some design issues fixed
			
			2015.06.25 - version 2.4
			 * Fixed XSS vulnerability in prettyPhoto jQuery library
			
			2015.04.28 - version 2.3
			 * Fixed XSS vulnerability
			 * Updated to TGM Plugin 2.4.1
			 * WordPress 4.2 Compatible
			 * Updated latest version of all third party plugins
			 * BPanel options issues fixed
			
			2015.03.30 - version 2.2
			 * Masonry blog posts spacing issue fixed
			
			2015.03.24 - version 2.1
			 * Language translation files updated
			 * All plugins compatible checked
			 * Woocommerce category listing issue fixed
			 * Some design tweaks updated
			 * Added isotope masonry for blog posts
			
			2015.01.05 - version 2.0
			 * Retina issues fixed
			
			2014.12.24 - version 1.9
			 * WordPress 4.1 Compatible
			 * Theme Performance Improved
			
			2014.12.13 - version 1.8
			 * Now Retina ready
			 * Documentaion updated
			 * Added placeholder image disable option
			 * Theme & Plugin language files updated
			 * Added demo slider zip file
			 * rtl.css updated
			 * Dummy content file updated
			 * Some responsive issues fixed
			
			2014.11.01 - version 1.7
			 * Added New Page Builder to create pages
			 * All plugins Compatible checked
			 * Social widget class name updated
			
			2014.09.13 - version 1.6
			 * WordPress 4.0 Compatible
			 * WooCommerce 2.2.2 Compatible
			
			2014.09.09 - version 1.5
			 * Revolution Slider 4.6.0 updated
			 * WPML Config file updated
			
			2014.08.02 - version 1.4
			 * Few admin panel php files updated
			 * Some design Tweaks updated
			
			2014.05.24 - version 1.3
			 * Gallery isotope issue fixed
			 * Support WooCommerce 2.1.9
			 * Designthemes core plugin updated
			 * Some design Tweaks updated
			
			2014.04.25 - version 1.2
			 * Support WordPress 3.9
			 * Gallery filter issue fixed
			 * Support WooCommerce 2.1.7
			 * Slider Plugins are updated
			 * Dummy content xml file updated
			 * Designthemes core plugin updated for WP version 3.9
			
			2014.03.17 - version 1.1
			 * Support woocommerce 2.1.5
			 * Parallax & Full-width sections added
			 * Inner one-half & clear shortcodes added
			 * Woocommerce image crop & some design issues fixed
			 * Some design issues updated
			 * rtl.css updated
			
			2014.02.03 - version 1.0
			 * First release!  </pre>',
    ),

  )
);

// ------------------------------
// Seperator
// ------------------------------
$options[] = array(
  'name'   => 'seperator_1',
  'title'  => esc_html__('Plugin Options', 'kidszone'),
  'icon'   => 'fa fa-plug'
);


CSFramework::instance( $settings, $options );