<?php
function kidszone_kirki_config() {
	return 'kidszone_kirki_config';
}

function kidszone_defaults( $key = '' ) {
	$defaults = array();

	# site identify
	$defaults['use-custom-logo'] = '1';
	$defaults['custom-logo'] = KIDSZONE_THEME_URI.'/images/logo.png';
	$defaults['custom-light-logo'] = KIDSZONE_THEME_URI.'/images/light-logo.png';
	$defaults['site_icon'] = KIDSZONE_THEME_URI.'/images/favicon.ico';
	$defaults['custom-title-color'] = '#ffffff';

	# site layout
	$defaults['site-layout'] = 'wide';

	# site skin
	$defaults['use-predefined-skin'] = '0';
	$defaults['predefined-skin'] = 'green';
	$defaults['primary-color'] = '#669d89';
	$defaults['secondary-color'] = '#f27c7e';
	$defaults['tertiary-color'] = '#ebb749';
	$defaults['quaternary-color'] = '#fef4d4';
	$defaults['quinary-color'] = '#f4df90';
	$defaults['senary-color'] = '#ecebd6';
	$defaults['septenary-color'] = '#e06264';

	$defaults['body-bg-color']      = '#ffffff';
	$defaults['body-content-color'] = '#5a5a5a';
	$defaults['body-a-color']       = '#2c2c2c';
	$defaults['body-a-hover-color'] = '#e06264';

	# site breadcrumb
	$defaults['customize-breadcrumb-title-typo'] = '1';
	$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '',
		'letter-spacing' => '0.5px',
		'color' => '#000000',
		'text-align' => 'unset',
		'text-transform' => 'none' );
	$defaults['customize-breadcrumb-typo'] = '0';
	$defaults['breadcrumb-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none' );

	# site footer
	$defaults['customize-footer-title-typo'] = '1';
	$defaults['footer-title-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => '700',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '36px',
		'letter-spacing' => '0',
		'color' => '#2B2B2B',
		'text-align' => 'left',
		'text-transform' => 'none' );
	$defaults['customize-footer-content-typo'] = '1';
	$defaults['footer-content-typo'] = array( 'font-family' => 'Open Sans',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '14px',
		'line-height' => '24px',
		'letter-spacing' => '0',
		'color' => '#ffffff',
		'text-align' => 'left',
		'text-transform' => 'none' );

	# site typography
	$defaults['customize-body-h1-typo'] = '1';
	$defaults['h1'] = array(
		'font-family' => 'Droid Serif',
		'variant' => '400',
		'font-size' => '24px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#2c2c2c',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'Droid Serif',
		'variant' => '400',
		'font-size' => '22px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#2c2c2c',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'Droid Serif',
		'variant' => '400',
		'font-size' => '20px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#2c2c2c',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'Droid Serif',
		'variant' => '400',
		'font-size' => '18px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#2c2c2c',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'Droid Serif',
		'variant' => '400',
		'font-size' => '16px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#2c2c2c',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'Droid Serif',
		'variant' => '400',
		'font-size' => '14px',
		'line-height' => '',
		'letter-spacing' => '0',
		'color' => '#2c2c2c',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Open Sans',
		'variant' => '400',
		'font-size' => '13px',
		'line-height' => '22px',
		'letter-spacing' => '',
		'color' => '#5a5a5a',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function kidszone_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','kidszone'),
		"top center"    => esc_attr__('Top Center','kidszone'),
		"top right"     => esc_attr__('Top Right','kidszone'),
		"center left"   => esc_attr__('Center Left','kidszone'),
		"center center" => esc_attr__('Center Center','kidszone'),
		"center right"  => esc_attr__('Center Right','kidszone'),
		"bottom left"   => esc_attr__('Bottom Left','kidszone'),
		"bottom center" => esc_attr__('Bottom Center','kidszone'),
		"bottom right"  => esc_attr__('Bottom Right','kidszone'),
	);

	return $positions;
}

function kidszone_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','kidszone'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','kidszone'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','kidszone'),
		"no-repeat" => esc_attr__('No Repeat','kidszone')
	);

	return $image_repeats;
}

function kidszone_border_styles() {

	$image_repeats = array(
		"none"	 => esc_attr__('None','kidszone'),
		"dotted" => esc_attr__('Dotted','kidszone'),
		"dashed" => esc_attr__('Dashed','kidszone'),
		"solid"	 => esc_attr__('Solid','kidszone'),
		"double" => esc_attr__('Double','kidszone'),
		"groove" => esc_attr__('Groove','kidszone'),
		"ridge"	 => esc_attr__('Ridge','kidszone'),
	);

	return $image_repeats;
}

function kidszone_animations() {

	$animations = array(
		'' 					 => esc_html__('Default','kidszone'),	
		"bigEntrance"        =>  esc_attr__("bigEntrance",'kidszone'),
        "bounce"             =>  esc_attr__("bounce",'kidszone'),
        "bounceIn"           =>  esc_attr__("bounceIn",'kidszone'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'kidszone'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'kidszone'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'kidszone'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'kidszone'),
        "bounceOut"          =>  esc_attr__("bounceOut",'kidszone'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'kidszone'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'kidszone'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'kidszone'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'kidszone'),
        "expandOpen"         =>  esc_attr__("expandOpen",'kidszone'),
        "expandUp"           =>  esc_attr__("expandUp",'kidszone'),
        "fadeIn"             =>  esc_attr__("fadeIn",'kidszone'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'kidszone'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'kidszone'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'kidszone'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'kidszone'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'kidszone'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'kidszone'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'kidszone'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'kidszone'),
        "fadeOut"            =>  esc_attr__("fadeOut",'kidszone'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'kidszone'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'kidszone'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'kidszone'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'kidszone'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'kidszone'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'kidszone'),
        "flash"              =>  esc_attr__("flash",'kidszone'),
        "flip"               =>  esc_attr__("flip",'kidszone'),
        "flipInX"            =>  esc_attr__("flipInX",'kidszone'),
        "flipInY"            =>  esc_attr__("flipInY",'kidszone'),
        "flipOutX"           =>  esc_attr__("flipOutX",'kidszone'),
        "flipOutY"           =>  esc_attr__("flipOutY",'kidszone'),
        "floating"           =>  esc_attr__("floating",'kidszone'),
        "hatch"              =>  esc_attr__("hatch",'kidszone'),
        "hinge"              =>  esc_attr__("hinge",'kidszone'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'kidszone'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'kidszone'),
        "pullDown"           =>  esc_attr__("pullDown",'kidszone'),
        "pullUp"             =>  esc_attr__("pullUp",'kidszone'),
        "pulse"              =>  esc_attr__("pulse",'kidszone'),
        "rollIn"             =>  esc_attr__("rollIn",'kidszone'),
        "rollOut"            =>  esc_attr__("rollOut",'kidszone'),
        "rotateIn"           =>  esc_attr__("rotateIn",'kidszone'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'kidszone'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'kidszone'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'kidszone'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'kidszone'),
        "rotateOut"          =>  esc_attr__("rotateOut",'kidszone'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'kidszone'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'kidszone'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'kidszone'),
        "shake"              =>  esc_attr__("shake",'kidszone'),
        "slideDown"          =>  esc_attr__("slideDown",'kidszone'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'kidszone'),
        "slideLeft"          =>  esc_attr__("slideLeft",'kidszone'),
        "slideRight"         =>  esc_attr__("slideRight",'kidszone'),
        "slideUp"            =>  esc_attr__("slideUp",'kidszone'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'kidszone'),
        "stretchRight"       =>  esc_attr__("stretchRight",'kidszone'),
        "swing"              =>  esc_attr__("swing",'kidszone'),
        "tada"               =>  esc_attr__("tada",'kidszone'),
        "tossing"            =>  esc_attr__("tossing",'kidszone'),
        "wobble"             =>  esc_attr__("wobble",'kidszone'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'kidszone'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'kidszone'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'kidszone')
    );

	return $animations;
}

function kidszone_custom_fonts( $standard_fonts ){

	$custom_fonts = array();

	$fonts = cs_get_option('custom_font_fields');
	if( count( $fonts ) > 0 ):
		foreach( $fonts as $font ):
			$custom_fonts[$font['custom_font_name']] = array(
				'label' => $font['custom_font_name'],
				'variants' => array( '100', '100italic', '200', '200italic', '300', '300italic', 'regular', 'italic', '500', '500italic', '600', '600italic', '700', '700italic', '800', '800italic', '900', '900italic' ),
				'stack' => $font['custom_font_name'] . ', sans-serif'
			);
		endforeach;
	endif;

	return array_merge_recursive( $custom_fonts, $standard_fonts );
}
add_filter( 'kirki/fonts/standard_fonts', 'kidszone_custom_fonts', 20 );